# Uses of Class
org.eclipse.jdt.core.dom.ASTParser

Packages that use ASTParser
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ASTParser in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ASTParser
Modifier and Type
Method
Description
`static ASTParser`
ASTParser.`newParser(int level)`
Creates a new object for creating a Java abstract syntax tree (AST) following the specified set of API rules.